Subject: Re: bug#5749: 24.0.50; Gomoku startup latency

From: Chong Yidong <[email-masked]>
Date: Wed, 24 Mar 2010 16:19:20 -0400

Stefan Monnier <[email-masked]> writes:

> Indeed.  Note that the new behavior happens to be more correct w.r.t its
> docstring:
>
>    It is inserted into that buffer before its point.
>
> so it promises to move point in the specified buffer.  At first
> I thought we should fix append-to-buffer to behave as it used to, but
> now I'm wondering whether we should fix the uses instead.

I've changed it to behave as it used to in the branch, because who know
how many other packages rely on the same assumption gomoku did.

As for whether to switch to the new behavior in the trunk, if so it
should be documented.